## org.apache.aries.subsystem.core.archive
Class EffectiveDirective

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter
          org.apache.aries.subsystem.core.archive.AbstractDirective
              org.apache.aries.subsystem.core.archive.EffectiveDirective

All Implemented Interfaces:
  Directive, Parameter

    public class EffectiveDirective

extends AbstractDirective

Field Summary
`static EffectiveDirective` `ACTIVE`
`static EffectiveDirective` `DEFAULT`
`static String` `NAME`
`static EffectiveDirective` `RESOLVE`
`static String` `VALUE_ACTIVE`
`static String` `VALUE_RESOLVE`

Constructor Summary
`EffectiveDirective()`
`EffectiveDirective(String value)`

Method Summary
`static EffectiveDirective` `getInstance(String value)`
`boolean` `isActive()`
`boolean` `isResolve()`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractDirective
`getValue, toString`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractParameter
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Parameter
`getName`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### VALUE_ACTIVE

    public static final String VALUE_ACTIVE

See Also:
  Constant Field Values

### VALUE_RESOLVE

    public static final String VALUE_RESOLVE

See Also:
  Constant Field Values

### ACTIVE

    public static final EffectiveDirective ACTIVE

### RESOLVE

    public static final EffectiveDirective RESOLVE

### DEFAULT

    public static final EffectiveDirective DEFAULT

Constructor Detail

### EffectiveDirective

    public EffectiveDirective()

### EffectiveDirective

    public EffectiveDirective(String value)

Method Detail

### getInstance

    public static EffectiveDirective getInstance(String value)

### isActive

    public boolean isActive()

### isResolve

    public boolean isResolve()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.